
import React from 'react';
import { Button, Layout, Menu } from 'antd';
import {
  MenuUnfoldOutlined,
  MenuFoldOutlined,
  UserOutlined,
  VideoCameraOutlined,
  UploadOutlined,
} from '@ant-design/icons';
import { HashRouter, Link, Route, Switch } from 'react-router-dom';
 
import Trend from './charts/Trend';

const { Header, Sider, Content } = Layout;

class Home extends React.Component {
  state = {
    collapsed: false,
  };

  toggle = () => {
    this.setState({
      collapsed: !this.state.collapsed,
    });
  };

  render() {
      console.log(window.location.hash);
    return (
 
      <Layout  style={{background: "#cccccc"}} >
        <Sider  trigger={null} collapsible collapsed={this.state.collapsed}>
          <div className="logo" />
          <Button type="primary" onClick={this.toggle} style={{ background: '#333333', width: "100%", colorRendering: "optimizeSpeed" }}>
            {React.createElement(this.state.collapsed ? MenuUnfoldOutlined : MenuFoldOutlined)}
          </Button>
     
          <Menu theme="dark"  mode="inline" defaultSelectedKeys={[window.location.hash ? window.location.hash: "1"]}>
     
                <Menu.Item key="1" icon={<UserOutlined />}>
                nav 1
                <HashRouter>
                    <Link to="/"></Link>
                    </HashRouter>
                </Menu.Item>
                <Menu.Item key="#/playerduo" icon={<VideoCameraOutlined />}>
                nav 2
                    <HashRouter>
                    <Link to={{pathname: "/playerduo"}}></Link>
                    </HashRouter>
                </Menu.Item>
                <Menu.Item key="3" icon={<UploadOutlined />}>
                nav 3
                </Menu.Item>
  
          </Menu>
 
        </Sider>
        <Layout >
          <Header  style={{ background: "#CCCCCC", margin: "2px 2px", padding: 0 }}>
 
    
          </Header>
          <Content
            style={{
                background: "#CCCCCC",
              margin: '2px 2px',
              padding: 24,
              minHeight: '90vh',
            }}
          >
 
            <HashRouter>
                <Switch>
                    <Route exact path="/playerduo" component={Trend}/>
                </Switch>
            </HashRouter>
    
            
          </Content>
        </Layout>
      </Layout>
   
    );
  }
}

export default Home;